package projectzombie.init;

import projectzombie.audio.AudioObject;
import projectzombie.audio.AudioRandom;

public class Sounds
{
	public static void init()
	{
		GUN_0.init();
		GUN_1.init();
		GUN_2.init();
		GUN_3.init();
		GUN_4.init();
		GUN_5.init();
		GUN_6.init();
		GUN_7.init();
		GUN_8.init();
		GUN_9.init();
		
		HIT_0.init();
		HIT_1.init();
		HIT_2.init();
		
		EXPLOSION.init();
	}
	
	public static final AudioObject GUN_0 = new AudioObject(Resources.GUN_OGG_0, 1);
	public static final AudioObject GUN_1 = new AudioObject(Resources.GUN_OGG_1, 1);
	public static final AudioObject GUN_2 = new AudioObject(Resources.GUN_OGG_2, 1);
	public static final AudioObject GUN_3 = new AudioObject(Resources.GUN_OGG_3, 1);
	public static final AudioObject GUN_4 = new AudioObject(Resources.GUN_OGG_4, 1);
	public static final AudioObject GUN_5 = new AudioObject(Resources.GUN_OGG_5, 1);
	public static final AudioObject GUN_6 = new AudioObject(Resources.GUN_OGG_6, 1);
	public static final AudioObject GUN_7 = new AudioObject(Resources.GUN_OGG_7, 1);
	public static final AudioObject GUN_8 = new AudioObject(Resources.GUN_OGG_8, 1);
	public static final AudioObject GUN_9 = new AudioObject(Resources.GUN_OGG_9, 1);
	
	public static final AudioObject GUN = new AudioRandom(
			GUN_0,GUN_1,GUN_2,GUN_3,GUN_4,
			GUN_5,GUN_6,GUN_7,GUN_8,GUN_9);
	
	public static final AudioObject HIT_0 = new AudioObject(Resources.HIT_OGG_0, 1);
	public static final AudioObject HIT_1 = new AudioObject(Resources.HIT_OGG_1, 1);
	public static final AudioObject HIT_2 = new AudioObject(Resources.HIT_OGG_2, 1);
	
	public static final AudioObject HIT = new AudioRandom(
			HIT_0, HIT_1, HIT_2);
	
	public static final AudioObject EXPLOSION = new AudioObject(Resources.EXPLOSION_OGG, 10);
}
